/* Copyright (c) 2012 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

#ifndef _URL_LOADER_H
#define _URL_LOADER_H

#include <unistd.h>
#include "ppapi/c/pp_instance.h"

typedef void (*url_callback)(int, const char*, size_t, const void* data);

void initialize_url_loader(PP_Instance instance, const void *url_loader,
                           const void *url_request,const void *core,
                           const void *var);
void load_file_from_url(const char* url, url_callback cb, const void* data);

#endif /* _URL_LOADER_H */
