// Copyright (c) 2012 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

using System.Runtime.CompilerServices;

class HelloWorld {
  [MethodImplAttribute (MethodImplOptions.InternalCall)]
  public extern static void post_message_icall(string s);

  public static void ReverseText(string arg) {
    char[] arr = arg.ToCharArray();
    System.Array.Reverse(arr);
    post_message_icall(new string(arr));
  }
  
  public static void Main(string[] args) {
    post_message_icall("Hello From Mono!");
  }
};

