/* Copyright (c) 2012 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

#ifndef _MONO_HELPERS_H
#define _MONO_HELPERS_H

void initialize_mono(const char* domain);
void load_assembly(const char* url, const char* assembly_name);
void execute_assembly(const char* assembly_name);
void run_static_mono_method_string_arg(const char* assembly_name,
                                       const char* method,
                                       const char* arg);

#endif /* _MONO_HELPERS_H */
